Update to 2016b

Bug #1557359 reported by Andrej Urvantsev on 2016-03-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

The 2016b release of the tz code and data is available. It reflects the
following changes, which were either circulated on the tz mailing list or are
relatively minor technical or administrative changes. A last-minute note: some
2016b data entries cause zic implementations derived from tz releases 2005j
through 2015e to issue warnings like "time zone abbreviation differs from POSIX
standard (+03)". These warnings should not otherwise affect zic's output and can
safely be ignored on today's platforms, as the warnings refer to a restriction
in POSIX.1-1988 that was removed in POSIX.1-2001. One way to suppress the
warnings is to upgrade to zic derived from tz releases 2015f and later.

   Changes affecting future time stamps

     New zones Europe/Astrakhan and Europe/Ulyanovsk for Astrakhan and
     Ulyanovsk Oblasts, Russia, both of which will switch from +03 to +04 on
     2016-03-27 at 02:00 local time. They need distinct zones since their
     post-1970 histories disagree. New zone Asia/Barnaul for Altai Krai and
     Altai Republic, Russia, which will switch from +06 to +07 on the same date
     and local time. Also, Asia/Sakhalin moves from +10 to +11 on 2016-03-27
     at 02:00. (Thanks to Alexander Krivenyshev for the heads-up, and to
     Matt Johnson and Stepan Golosunov for followup.)

     As a trial of a new system that needs less information to be made up,
     the new zones use numeric time zone abbreviations like "+04"
     instead of invented abbreviations like "ASTT".

     Haiti will not observe DST in 2016. (Thanks to Jean Antoine via
     Steffen Thorsen.)

     Palestine's spring-forward transition on 2016-03-26 is at 01:00, not 00:00.
     (Thanks to Hannah Kreitem.) Guess future transitions will be March's last
     Saturday at 01:00, not March's last Friday at 24:00.

   Changes affecting past time stamps

     Europe/Chisinau observed DST during 1990, and switched from +04 to
     +03 at 1990-05-06 02:00, instead of switching from +03 to +02.
     (Thanks to Stepan Golosunov.)

     1991 abbreviations in Europe/Samara should be SAMT/SAMST, not
     KUYT/KUYST. (Thanks to Stepan Golosunov.)

   Changes to code

     tzselect's diagnostics and checking, and checktab.awk's checking,
     have been improved. (Thanks to J William Piggott.)

     tzcode now builds under MinGW. (Thanks to Ian Abbott and Esben Haabendal.)

     tzselect now tests Julian-date TZ settings more accurately.
     (Thanks to J William Piggott.)

   Changes to commentary

     Comments in zone tables have been improved. (Thanks to J William Piggott.)

     tzselect again limits its menu comments so that menus fit on a
     24x80 alphanumeric display.

     A new web page tz-how-to.html. (Thanks to Bill Seymour.)

     In the Theory file, the description of possible time zone abbreviations in
     tzdata has been cleaned up, as the old description was unclear and
     inconsistent. (Thanks to Alain Mouette for reporting the problem.)

Here are links to the release files:

   ftp://ftp.iana.org/tz/releases/tzcode2016b.tar.gz
   ftp://ftp.iana.org/tz/releases/tzdata2016b.tar.gz

Adam Conrad (adconrad) on 2016-03-20
Changed in tzdata (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2016b-0ubuntu0.12.04

---------------
tzdata (2016b-0ubuntu0.12.04) precise; urgency=medium

  * New upstream, with changes up to 2016b (LP: #1539491, #1557359)
  * Install leap-seconds.list to /usr/share/zoneinfo (LP: #1513221)

 -- Adam Conrad <email address hidden> Sun, 20 Mar 2016 11:15:49 -0600

Changed in tzdata (Ubuntu Precise):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2016b-0ubuntu0.14.04

---------------
tzdata (2016b-0ubuntu0.14.04) trusty; urgency=medium

  * New upstream, with changes up to 2016b (LP: #1539491, #1557359)
  * Install leap-seconds.list to /usr/share/zoneinfo (LP: #1513221)

 -- Adam Conrad <email address hidden> Sun, 20 Mar 2016 11:15:49 -0600

Changed in tzdata (Ubuntu Trusty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2016b-0ubuntu0.15.10

---------------
tzdata (2016b-0ubuntu0.15.10) wily; urgency=medium

  * New upstream, with changes up to 2016b (LP: #1539491, #1557359)

 -- Adam Conrad <email address hidden> Sun, 20 Mar 2016 11:15:49 -0600

Changed in tzdata (Ubuntu Wily):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers